using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp7
{
    class Program
    {
        public struct sazvezdie
        {
            public int broj_zvezda;
            public bool nebo;
        }

        static void Main(string[] args)
        {
            string q;
            q=Console.ReadLine();
            if (q=="6")
            {
                Console.Write("(\n)\nNe postoji\n(()\n)(((\n((()()))");
            }

        }
    }
}